Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -17424,24 +17277,24 @@
        
        
-       if ( k_ref .eq. 25 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 25 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 4.5186E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.5183E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.4587E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.7264E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.7894E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.2638E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.8906E-4
            
@@ -17453,24 +17306,24 @@
        
        
-       if ( k_ref .eq. 26 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 26 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 5.7102E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.7098E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.628E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.6503E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.4318E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.7618E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.2861E-4
            
@@ -17482,24 +17335,24 @@
        
        
-       if ( k_ref .eq. 27 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 27 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 7.1820E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.1815E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.0693E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.7675E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.1904E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.3416E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.7389E-4
            
@@ -17511,24 +17364,24 @@
        
        
-       if ( k_ref .eq. 28 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 28 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 8.9801E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.9794E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.8255E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.0966E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.0671E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.0001E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.242E-4
            
@@ -17540,24 +17393,24 @@
        
        
-       if ( k_ref .eq. 29 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 29 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.1145E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1144E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0932E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.6421E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.0487E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.7209E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.7768E-4
            
@@ -17569,24 +17422,24 @@
        
        
-       if ( k_ref .eq. 30 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 30 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.3709E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.3708E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.3415E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0387E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.1001E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.4689E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.3085E-4
            
@@ -17598,24 +17451,24 @@
        
        
-       if ( k_ref .eq. 31 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 31 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.6712E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.671E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.63E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.2296E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.1648E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.1899E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.787E-4
            
@@ -17627,24 +17480,24 @@
        
        
-       if ( k_ref .eq. 32 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 32 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.0296E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.0293E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.9704E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.4366E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.1906E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.8278E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.1594E-4
            
@@ -17656,24 +17509,24 @@
        
        
-       if ( k_ref .eq. 33 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 33 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.4971E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.4967E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.4078E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.6751E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.017E-3
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.3425E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.3723E-4
            
@@ -17685,24 +17538,24 @@
        
        
-       if ( k_ref .eq. 34 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 34 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 3.2169E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.2161E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.0665E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.9861E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1059E-3
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.6337E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.2801E-4
            
@@ -17714,13 +17567,13 @@
        
 !#ifdef ISOVERIF
-!          if (k.eq.klev) then
-!          write(*,*) 'iso_tritium 1096'
-!          write(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
-!          write(*,*) 'rlat,rlatd=',rlat(i),rlatd(i)
-!          write(*,*) 'rlon,rlond=',rlon(i),rlond(i)
-!          write(*,*) 'rlat_geo(i), lat_geo=',rlat_geo(i),lat_geo
-!          write(*,*) 'pplay(i,k)=',pplay(i,k)
-!          write(*,*) 'k_ref=',k_ref
-!          write(*,*) 'd_xt_cosmo(ixt,i,k)=',d_xt_cosmo(ixt,i,k)
+!          if (k.eq.klev) THEN
+!          WRITE(*,*) 'iso_tritium 1096'
+!          WRITE(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
+!          WRITE(*,*) 'rlat,rlatd=',rlat(i),rlatd(i)
+!          WRITE(*,*) 'rlon,rlond=',rlon(i),rlond(i)
+!          WRITE(*,*) 'rlat_geo(i), lat_geo=',rlat_geo(i),lat_geo
+!          WRITE(*,*) 'pplay(i,k)=',pplay(i,k)
+!          WRITE(*,*) 'k_ref=',k_ref
+!          WRITE(*,*) 'd_xt_cosmo(ixt,i,k)=',d_xt_cosmo(ixt,i,k)
 !          endif
 !#endif
@@ -17729,11 +17582,11 @@
 #ifdef ISOVERIF
           if (iso_verif_positif_strict_nostop(d_xt_cosmo(ixt,i,k), &
-            'iso_tritium 1110 : d_xt_cosmo negatif ou pas').eq.1) then
-          write(*,*) 'i,k,klev=',i,k,klev
-          write(*,*) 'latitude_deg,latitude=',latitude_deg(i),latitude(i)
-          write(*,*) 'longitude_deg,longitude=',longitude_deg(i),longitude(i)
-          write(*,*) 'rlat_geo(i), lat_geo=',rlat_geo(i),lat_geo
-          write(*,*) 'pplay(i,k)=',pplay(i,k)
-          write(*,*) 'kb,k_ref, p_ref=',kb,k_ref,p_ref(kb)
+            'iso_tritium 1110 : d_xt_cosmo negatif ou pas').eq.1) THEN
+          WRITE(*,*) 'i,k,klev=',i,k,klev
+          WRITE(*,*) 'latitude_deg,latitude=',latitude_deg(i),latitude(i)
+          WRITE(*,*) 'longitude_deg,longitude=',longitude_deg(i),longitude(i)
+          WRITE(*,*) 'rlat_geo(i), lat_geo=',rlat_geo(i),lat_geo
+          WRITE(*,*) 'pplay(i,k)=',pplay(i,k)
+          WRITE(*,*) 'kb,k_ref, p_ref=',kb,k_ref,p_ref(kb)
           stop
           endif
@@ -17751,17 +17604,17 @@
          d_xt_cosmo(ixt,i,k)=d_xt_cosmo(ixt,i,k)*masse_tritium*1000.
 #ifdef ISOVERIF
-         if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) then
-            if (d_xt_cosmo(ixt,i,k).eq.0) then
-               write(*,*) 'prod cosmo nulle iso_tritium 1134'
-               write(*,*) 'ixt,i,k',ixt,i,k
-               write(*,*) 'masse_tritium', masse_tritium
+         if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) THEN
+            if (d_xt_cosmo(ixt,i,k).eq.0) THEN
+               WRITE(*,*) 'prod cosmo nulle iso_tritium 1134'
+               WRITE(*,*) 'ixt,i,k',ixt,i,k
+               WRITE(*,*) 'masse_tritium', masse_tritium
                stop
             endif
-!            if ((k.eq.klev).and.(ixt.eq.iso_HTO)) then
-!               write(*,*) 'iso_tritium 1140'
-!               write(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
-!               write(*,*) 'pplay(i,k)=',pplay(i,k)
-!               write(*,*) 'masse_tritium', masse_tritium
-!               write(*,*) 'd_xt_cosmo(ixt,i,k)=',d_xt_cosmo(ixt,i,k)
+!            if ((k.eq.klev).and.(ixt.eq.iso_HTO)) THEN
+!               WRITE(*,*) 'iso_tritium 1140'
+!               WRITE(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
+!               WRITE(*,*) 'pplay(i,k)=',pplay(i,k)
+!               WRITE(*,*) 'masse_tritium', masse_tritium
+!               WRITE(*,*) 'd_xt_cosmo(ixt,i,k)=',d_xt_cosmo(ixt,i,k)
 !            endif
          endif
@@ -17777,12 +17630,12 @@
           do k=1,klev ! boucler sur l'échelle vertical
             if (iso_verif_noNAN_nostop(d_xt_cosmo(ixt,i,k), &
-               'iso_tritium cosmo 1151').eq.1) then
-          write(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
-          write(*,*) 'latitude_deg,latitude=',latitude_deg(i),latitude(i)
-          write(*,*) 'longitude_deg,longitude=',longitude_deg(i),longitude(i)
-          write(*,*) 'rlat_geo(i), lat_geo=',rlat_geo(i),lat_geo
-          write(*,*) 'pplay(i,k)=',pplay(i,k)
-          write(*,*) 'kb,k_ref, p_ref=',kb,k_ref,p_ref(kb)
-          write(*,*) 'masse tritium=', masse_tritium
+               'iso_tritium cosmo 1151').eq.1) THEN
+          WRITE(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
+          WRITE(*,*) 'latitude_deg,latitude=',latitude_deg(i),latitude(i)
+          WRITE(*,*) 'longitude_deg,longitude=',longitude_deg(i),longitude(i)
+          WRITE(*,*) 'rlat_geo(i), lat_geo=',rlat_geo(i),lat_geo
+          WRITE(*,*) 'pplay(i,k)=',pplay(i,k)
+          WRITE(*,*) 'kb,k_ref, p_ref=',kb,k_ref,p_ref(kb)
+          WRITE(*,*) 'masse tritium=', masse_tritium
           stop
             endif
@@ -17809,6 +17662,6 @@
              ! on verifie si la date dans la simulation est un jour d'essai nucleaire 
              CALL date_prod_nucl_HTO(j_1ere_bombe, nbombe)
-           write(*,*) 'iso_tritium 1183, apres CALL date_prod_nucl_HTO'
-           write(*,*) 'j_1ere_bombe, nbombe', j_1ere_bombe, nbombe
+           WRITE(*,*) 'iso_tritium 1183, apres CALL date_prod_nucl_HTO'
+           WRITE(*,*) 'j_1ere_bombe, nbombe', j_1ere_bombe, nbombe
  
              if (nbombe.ge.1) then ! si c'est un jour avec un ou plusieurs essais nucleaires
@@ -17829,10 +17682,10 @@
          if ((.not.ok_prod_nucl_tritium).or. &
              (iso_HTO.eq.0).or.(ixt.ne.iso_HTO).or. &
-            (nbombe.eq.0)) then
-            if (d_xt_prod_nucl(ixt,i,k).ne.0.) then
-            write(*,*) 'iso_tritium 1208 apres d_xt_prod_nucl'
-            write(*,*) 'la prod nucleaire d isotopes devrait etre nulle'
-            write(*,*) 'ixt, i, k', ixt, i, k
-            write(*,*) 'd_xt_prod_nucl', d_xt_prod_nucl(ixt,i,k)
+            (nbombe.eq.0)) THEN
+            if (d_xt_prod_nucl(ixt,i,k).ne.0.) THEN
+            WRITE(*,*) 'iso_tritium 1208 apres d_xt_prod_nucl'
+            WRITE(*,*) 'la prod nucleaire d isotopes devrait etre nulle'
+            WRITE(*,*) 'ixt, i, k', ixt, i, k
+            WRITE(*,*) 'd_xt_prod_nucl', d_xt_prod_nucl(ixt,i,k)
             stop
             endif
@@ -17848,6 +17701,6 @@
           do k=1,klev ! boucler sur l'échelle verticae
             if (iso_verif_noNAN_nostop(d_xt_prod_nucl(ixt,i,k), &
-               'iso_tritium prod nucl 1225').eq.1) then
-          write(*,*) 'ixt,i,k,latitude_deg(i)',ixt,i,k,latitude_deg(i)
+               'iso_tritium prod nucl 1225').eq.1) THEN
+          WRITE(*,*) 'ixt,i,k,latitude_deg(i)',ixt,i,k,latitude_deg(i)
           stop
             endif
@@ -17867,6 +17720,6 @@
 ! ------------------------------------------------------------------------
 #ifdef ISOTRAC
-        if (iso_HTO.gt.0) then
-        write(*,*) 'cas pas prevu, a coder'
+        if (iso_HTO.gt.0) THEN
+        WRITE(*,*) 'cas pas prevu, a coder'
         ! utiliser index_iso au lieu de ixt dans la condition ci dessous
         ! et vérifier ailleurs
@@ -17906,10 +17759,10 @@
 !#ifdef ISOVERIF
 !      if ((ixt.eq.iso_HTO).and.(k.ge.(klev-2))) then !ok
-!         write(*,*) 'iso_tritium 1284 - test concentration totale' 
-!         write(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
-!         write(*,*) 'rlat,rlon=',rlat(i),rlon(i)
-!         write(*,*) 'dtime=', dtime
-!         write(*,*) 'd_xt_cosmo(ixt,i,k)=',d_xt_cosmo(ixt,i,k)
-!         write(*,*) 'd_xt_prod_nucl(ixt,i,k)=',d_xt_prod_nucl(ixt,i,k)
+!         WRITE(*,*) 'iso_tritium 1284 - test concentration totale'
+!         WRITE(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
+!         WRITE(*,*) 'rlat,rlon=',rlat(i),rlon(i)
+!         WRITE(*,*) 'dtime=', dtime
+!         WRITE(*,*) 'd_xt_cosmo(ixt,i,k)=',d_xt_cosmo(ixt,i,k)
+!         WRITE(*,*) 'd_xt_prod_nucl(ixt,i,k)=',d_xt_prod_nucl(ixt,i,k)
 !      endif
 !#endif
@@ -17965,6 +17818,5 @@
 
 
-      if (ok_prod_nucl_tritium) then
-
+      if (ok_prod_nucl_tritium) THEN
       ! tableau pour day_nucl
       open(30, file='day_nucl.txt')
@@ -18079,5 +17931,5 @@
 
       use phys_cal_mod ! pour le calendrier
-      use isotopes_mod, only: nessai, day_nucl, month_nucl, year_nucl
+      use isotopes_mod, ONLY: nessai, day_nucl, month_nucl, year_nucl
       IMPLICIT NONE
 
@@ -18092,12 +17944,12 @@
       nbombe=0
       j_1ere_bombe=0
-      write(*,*) 'iso_tritium 1456, SUBROUTINE date_prod_nucl_HTO'
-      write(*,*) 'Date dans la simulation:',day_cur,mth_cur,year_cur
+      WRITE(*,*) 'iso_tritium 1456, SUBROUTINE date_prod_nucl_HTO'
+      WRITE(*,*) 'Date dans la simulation:',day_cur,mth_cur,year_cur
 
       do j=1,nessai ! il faut que le tableau d'entree soit dans l'ordre chronologique
-         if (nbombe.eq.0) then
+         if (nbombe.eq.0) THEN
             if ((day_cur.eq.day_nucl(j)).and. &
                 (mth_cur.eq.month_nucl(j)).and. &
-                (year_cur.eq.year_nucl(j))) then
+                (year_cur.eq.year_nucl(j))) THEN
             nbombe=1
             j_1ere_bombe=j
@@ -18106,5 +17958,5 @@
             if ((day_cur.eq.day_nucl(j)).and. &
                (mth_cur.eq.month_nucl(j)).and. &
-               (year_cur.eq.year_nucl(j))) then
+               (year_cur.eq.year_nucl(j))) THEN
                nbombe=nbombe+1
             else
@@ -18113,9 +17965,9 @@
          endif
 !#ifdef ISOVERIF
-!      write(*,*) 'controle SUBROUTINE date_prod_nucl_HTO' !ok
-!      write(*,*) 'day_cur, mth_cur, year_cur',day_cur,mth_cur,year_cur
-!      write(*,*) 'j, nessai', j, nessai
-!      write(*,*) 'nbombe,  j_1ere_bombe', nbombe, j_1ere_bombe
-!      write(*,*) 'day_nucl(j), month_nucl(j), year_nucl(j)',
+!      WRITE(*,*) 'controle SUBROUTINE date_prod_nucl_HTO' !ok
+!      WRITE(*,*) 'day_cur, mth_cur, year_cur',day_cur,mth_cur,year_cur
+!      WRITE(*,*) 'j, nessai', j, nessai
+!      WRITE(*,*) 'nbombe,  j_1ere_bombe', nbombe, j_1ere_bombe
+!      WRITE(*,*) 'day_nucl(j), month_nucl(j), year_nucl(j)',
 !     :            day_nucl(j), month_nucl(j), year_nucl(j)
 !#endif
@@ -18145,8 +17997,8 @@
 !     &                         prod_nucl_HTO)
 
-        use isotopes_mod, only: nessai, lat_nucl, lon_nucl, &
+        use isotopes_mod, ONLY: nessai, lat_nucl, lon_nucl, &
 &               zmin_nucl, zmax_nucl, HTO_nucl
-        USE dimphy, only: klon,klev
-        use lmdz_geometry, only: latitude_deg,longitude_deg
+        USE dimphy, ONLY: klon,klev
+        use lmdz_geometry, ONLY: latitude_deg,longitude_deg
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -18183,10 +18035,10 @@
          P_HTO = HTO_nucl(jessai)
 !#ifdef ISOVERIF !ok
-!      write(*,*) 'controle SUBROUTINE lancer_bombes'
-!      write(*,*) 'ibombe, nbombe', ibombe, nbombe
-!      write(*,*) 'jessai, j_1ere_bombe', jessai, j_1ere_bombe
-!      write(*,*) 'lat_HTO, lon_HTO', lat_HTO, lon_HTO
-!      write(*,*) 'zmin_HTO, zmax_HTO', zmin_HTO, zmax_HTO
-!      write(*,*) 'P_HTO', P_HTO 
+!      WRITE(*,*) 'controle SUBROUTINE lancer_bombes'
+!      WRITE(*,*) 'ibombe, nbombe', ibombe, nbombe
+!      WRITE(*,*) 'jessai, j_1ere_bombe', jessai, j_1ere_bombe
+!      WRITE(*,*) 'lat_HTO, lon_HTO', lat_HTO, lon_HTO
+!      WRITE(*,*) 'zmin_HTO, zmax_HTO', zmin_HTO, zmax_HTO
+!      WRITE(*,*) 'P_HTO', P_HTO
 !#endif
          
@@ -18198,11 +18050,11 @@
             
          if (coord_HTO.gt.0) then ! quand on trouve les coordonnees de l'essai nucleaire dans la simulation
-       write(*,*) 'iso_tritium 1552 dans SUBROUTINE lancer_bombes'
-       write(*,*) 'Apres CALL coord_prod_nucl_HTO pour coord_HTO>0'
-       write(*,*) 'ibombe, nbombe', ibombe, nbombe
-       write(*,*) 'coord_HTO',coord_HTO
-       write(*,*) 'latitude_deg(coord_HTO), longitude_deg(coord_HTO)', & 
+       WRITE(*,*) 'iso_tritium 1552 dans SUBROUTINE lancer_bombes'
+       WRITE(*,*) 'Apres CALL coord_prod_nucl_HTO pour coord_HTO>0'
+       WRITE(*,*) 'ibombe, nbombe', ibombe, nbombe
+       WRITE(*,*) 'coord_HTO',coord_HTO
+       WRITE(*,*) 'latitude_deg(coord_HTO), longitude_deg(coord_HTO)', &
                    latitude_deg(coord_HTO), longitude_deg(coord_HTO)
-       write(*,*) 'kmin_HTO, kmax_HTO', kmin_HTO, kmax_HTO
+       WRITE(*,*) 'kmin_HTO, kmax_HTO', kmin_HTO, kmax_HTO
 
          CALL calcul_prod_nucl_HTO(P_HTO,coord_HTO, &
@@ -18224,6 +18076,6 @@
                                      coord_jessai,&
                                      kmin_jessai,kmax_jessai)
-        USE dimphy, only: klon,klev
-        use lmdz_geometry, only: latitude_deg,longitude_deg
+        USE dimphy, ONLY: klon,klev
+        use lmdz_geometry, ONLY: latitude_deg,longitude_deg
         USE lmdz_yomcst
 #ifdef ISOVERIF
@@ -18265,7 +18117,7 @@
 !       do i=1,klon
 !       do k=1,klev
-!          write(*,*) 'i,k,RG',i,k,RG
-!          write(*,*) 'zphi', zphi(i,k)
-!          write(*,*) 'alt', alt(i,k)
+!          WRITE(*,*) 'i,k,RG',i,k,RG
+!          WRITE(*,*) 'zphi', zphi(i,k)
+!          WRITE(*,*) 'alt', alt(i,k)
 !       enddo
 !       enddo
@@ -18275,10 +18127,10 @@
         ! ajout Camille Risi 14 aout 2017: calcul local de dlat et dlon en cas
         ! de grille zoomée
-        if (i.gt.1) then
+        if (i.gt.1) THEN
           dlon=longitude_deg(i)-longitude_deg(i-1)
         else
           dlon=longitude_deg(i+1)-longitude_deg(i)
         endif        
-        if (i.gt.iim) then
+        if (i.gt.iim) THEN
           dlat=latitude_deg(i)-latitude_deg(i-iim)
         else
@@ -18294,5 +18146,5 @@
              ((latitude_deg(i)+dlat/2.).gt.lat_jessai).and. &
              ((longitude_deg(i)-dlon/2.).le.lon_jessai).and. &
-             ((longitude_deg(i)+dlon/2.).gt.lon_jessai)) then
+             ((longitude_deg(i)+dlon/2.).gt.lon_jessai)) THEN
                 coord_jessai=i
                 if (alt(i,1).ge.zmin_jessai)    kmin_jessai = 1 ! si base du champignon est plus bas que le niveau 1 dans le modele
@@ -18302,10 +18154,10 @@
                 do k=1,klev-1
                     if ((alt(i,k).lt.zmin_jessai).and. &
-                        (alt(i,k+1).ge.zmin_jessai)) then
+                        (alt(i,k+1).ge.zmin_jessai)) THEN
                          kmin_jessai = max(1,k) ! si base du champignon est entre le niveau k et k+1
                     endif
 
                     if ((alt(i,k).lt.zmax_jessai).and. &
-                        (alt(i,k+1).ge.zmax_jessai)) then
+                        (alt(i,k+1).ge.zmax_jessai)) THEN
                          kmax_jessai = min(k+1,klev) ! si le haut du champignon est entre le niveau k et k+1
                     endif
@@ -18317,18 +18169,18 @@
 #ifdef ISOVERIF
       if (kmin_jessai.gt.kmax_jessai) then ! on plante si kmin>=kmax pour k<klev
-         write(*,*) 'Pb SUBROUTINE coord_prod_nucl_HTO(kmin>kmax)'
-         write(*,*) 'coord_jessai', coord_jessai
-         write(*,*) 'lon_nucl, lat_nucl', lon_jessai, lat_jessai
-         write(*,*) 'zmin_nucl, zmax_nucl', zmin_jessai, zmax_jessai
-         write(*,*) 'kmin,kmax',kmin_jessai,kmax_jessai
+         WRITE(*,*) 'Pb SUBROUTINE coord_prod_nucl_HTO(kmin>kmax)'
+         WRITE(*,*) 'coord_jessai', coord_jessai
+         WRITE(*,*) 'lon_nucl, lat_nucl', lon_jessai, lat_jessai
+         WRITE(*,*) 'zmin_nucl, zmax_nucl', zmin_jessai, zmax_jessai
+         WRITE(*,*) 'kmin,kmax',kmin_jessai,kmax_jessai
          stop
        endif
 
       if ((kmin_jessai.eq.klev).and.(kmax_jessai.ne.klev)) then ! on plante si on n'a pas kmax=klev quand kmin=klev
-         write(*,*) 'Pb SUBROUTINE coord_prod_nucl_HTO(kmin=klev)'
-         write(*,*) 'coord_jessai', coord_jessai
-         write(*,*) 'lon_nucl, lat_nucl', lon_jessai, lat_jessai
-         write(*,*) 'zmin_nucl, zmax_nucl', zmin_jessai, zmax_jessai
-         write(*,*) 'kmin,kmax',kmin_jessai,kmax_jessai
+         WRITE(*,*) 'Pb SUBROUTINE coord_prod_nucl_HTO(kmin=klev)'
+         WRITE(*,*) 'coord_jessai', coord_jessai
+         WRITE(*,*) 'lon_nucl, lat_nucl', lon_jessai, lat_jessai
+         WRITE(*,*) 'zmin_nucl, zmax_nucl', zmin_jessai, zmax_jessai
+         WRITE(*,*) 'kmin,kmax',kmin_jessai,kmax_jessai
          stop
       endif
